module.exports = {
  defaultSidebar: [
    'intro',
    'changelog',
    'glossary',
    'roadmap',
    'status-and-error-codes',
    {
      type: 'category',
      label: 'Grundlagen',
      items: [
        'getting-started/first-steps',
        'getting-started/account',
        'getting-started/authentication',
        {
          type: 'category',
          label: 'Aufbau einer Einreichung',
          items: [
            'getting-started/submission/structure',
            'getting-started/submission/metadata',
            'getting-started/submission/data',
          ]
        },
        'getting-started/notifications-and-deletion-deadlines',
        'getting-started/schema-validation',
        'getting-started/encryption',
        {
          type: 'category',
          label: 'Ereignisprotokoll',
          items: [
            'getting-started/event-log/overview',
            'getting-started/event-log/events',
            'getting-started/event-log/set-creation',
            'getting-started/event-log/set-validation',
          ]
        },
        'getting-started/rate-limiting',
      ],
    },
    {
      type: 'category',
      label: 'Zuständigkeitsermittlung',
      items: [
        'responsibilities/routing',
        'responsibilities/get-destination'
      ]
    },
    {
      type: 'category',
      label: 'Versand von Einreichungen',
      items: [
        'sending/overview',
        'sending/start-submission',
        'sending/metadata',
        'sending/encrypt',
        'sending/attachments',
        'sending/submit',
        'sending/query-status',
        'sending/accept-reject',
      ]
    },
    {
      type: 'category',
      label: 'Abruf von Einreichungen',
      items: [
        'receiving/overview',
        'receiving/certificate',
        'receiving/destination',
        'receiving/notification',
        'receiving/download-submission',
        'receiving/decrypt',
        'receiving/verification',
        'receiving/process-and-acknowledge',
      ]
    },
    {
      type: 'category',
      label: 'Weiterführende Informationen',
      items: [
        'details/ags',
        'details/ars',
        'details/callbacks',
        'details/crypto',
        'details/jwk-creation',
        'details/destination-management',
        'details/schema-reference',
        {
          type: 'category',
          label: 'Authentifizierung',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/authentication',
            },
          ],
        },
        /*
        {
          type: 'category',
          label: 'Authentifizierung (intern)',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/infrastructure-docs',
            },
          ],
        },
        */
        'details/responsible-disclosure',
      ]
    },
    {
      type: 'link',
      label: 'Impressum',
      href: 'https://www.fitko.de/impressum',
    },
  ],
  metadataSidebar: [
    'metadata/overview',
    'metadata/authenticationInformation',
    'metadata/paymentInformation',
    'metadata/publicServiceType',
    'metadata/contentStructure',
    'metadata/replyChannel',
    'metadata/additionalReferenceInfo'
  ]
}
